# PetscRandomGetType

Gets the type name (as a string) from the PetscRandom.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomGetType(PetscRandom rnd, PetscRandomType *type)

Not Collective

### Input Parameter

rnd -The random number generator context

### Output Parameter

type -The type name

### Keywords

random, get, type, name

### See Also

PetscRandomSetType(), PetscRandomCreate()

Level:intermediate
Location: src/sys/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages